package jp.co.riiiver.sdk.sample

import android.app.Activity
import android.os.Bundle
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.webkit.WebView
import androidx.fragment.app.Fragment
import com.riiiver.auth.IERAuthWebViewDelegate
import kotlinx.android.synthetic.main.fragment_login.*
import timber.log.Timber

class LoginFragment : Fragment() {
    override fun onCreateView(
        inflater: LayoutInflater,
        container: ViewGroup?,
        savedInstanceState: Bundle?
    ): View? {
        return inflater.inflate(R.layout.fragment_login, container, false)
    }

    override fun onViewCreated(view: View, savedInstanceState: Bundle?) {
        Timber.d("in")
        // Web認証画面表示  -  Display the webview for the authentication.
        RiiiverSDKManager.setWebView(activity!!, webLogin, object : IERAuthWebViewDelegate {
            override fun onCloseWebView(activity: Activity, webView: WebView) {
                Timber.d("onCloseWebView in")
                // Go to next View - 次の画面へ
                goToListFragment()
            }

            override fun onError(error: Exception) {
                Timber.e("onError in: error %s", error.message)
            }
        })

    }

    private fun goToListFragment() {
        val transaction = activity!!.supportFragmentManager.beginTransaction()
        transaction.replace(R.id.container, IiideaListFragment())
        transaction.commit()
    }
}