package jp.co.riiiver.sdk.sample

import android.content.Intent
import android.os.Bundle
import androidx.appcompat.app.AppCompatActivity
import androidx.fragment.app.Fragment
import com.riiiver.auth.ERAuth
import timber.log.Timber
import timber.log.Timber.DebugTree


class MainActivity : AppCompatActivity() {

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        Timber.plant(DebugTree())
        setContentView(R.layout.activity_main)


        RiiiverSDKManager.initialize(this) { isLoggedIn: Boolean ->
            if (!isLoggedIn) {
                // ログイン画面を起動
                transitionFragment(LoginFragment())
            } else {
                // 既に認証済みの場合は次の画面へ - If the user have already authenticated, goto next ViewController.
                val fragment = IiideaListFragment()
                transitionFragment(fragment)
            }
        }
    }

    private fun transitionFragment(fragment: Fragment) {
        val transaction = supportFragmentManager.beginTransaction()
        transaction.add(R.id.container, fragment)
        transaction.commit()
    }

    override fun onActivityResult(requestCode: Int, resultCode: Int, data: Intent?) {
        Timber.d("in")
        super.onActivityResult(requestCode, resultCode, data)
        ERAuth.getInstance().onActivityResult(requestCode, resultCode, data)
    }

}
