package jp.co.riiiver.sdk.sample

import android.app.Activity
import android.os.Bundle
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.webkit.WebView
import androidx.fragment.app.Fragment
import com.riiiver.auth.IERAuthWebViewDelegate
import kotlinx.android.synthetic.main.fragment_store.*
import timber.log.Timber

class StoreFragment : Fragment() {

    override fun onCreateView(
        inflater: LayoutInflater,
        container: ViewGroup?,
        savedInstanceState: Bundle?
    ): View? {
        return inflater.inflate(R.layout.fragment_store, container, false)
    }

    override fun onViewCreated(view: View, savedInstanceState: Bundle?) {
        Timber.d("in")
        back.setOnClickListener {
            Timber.d("logout")
            back()
        }

        // Web認証画面表示  -  Display the webview for the authentication.
        RiiiverSDKManager.openStore(activity!!, webStore, object : IERAuthWebViewDelegate {
            override fun onCloseWebView(activity: Activity, webView: WebView) {
                Timber.d("onCloseWebView in")
            }

            override fun onError(error: Exception) {
                Timber.e("onError in: error %s", error.message)
            }
        })
    }

    private fun back() {
        fragmentManager!!.popBackStack()
    }
}